<section class="container animated fadeIn">

  <form [formGroup]="form" (ngSubmit)="submit(form)" novalidate>

    <div class="row wall no-padding-b mb">
      <!-- Name (EN) -->
      <div class="col-lg-6">
        <div class="row form-group" [ngClass]="{'has-error':form.controls['subscription_name_en'].invalid && formSubmited}">
          <label class="col-lg-4 form-label-inline" for="subscription_name_en">{{ 'subscription.name_en' | translate }}:</label>
          <div class="col-lg-8">
            <input id="subscription_name_en" dir="ltr" class="form-control" type="text" name="subscription_name_en" formControlName="subscription_name_en" maxlength="60" placeholder>
            <div class="feedback" *ngIf="form.controls['subscription_name_en'].hasError('required') && formSubmited">{{ 'feedback.required' | translate }}</div>
          </div>
        </div>
      </div>

      <!-- Name (FA) -->
      <div class="col-lg-6">
        <div class="row form-group" [ngClass]="{'has-error':form.controls['subscription_name_fa'].invalid && formSubmited}">
          <label class="col-lg-4 form-label-inline" for="subscription_name_fa">{{ 'subscription.name_fa' | translate }}:</label>
          <div class="col-lg-8">
            <input id="subscription_name_fa" class="form-control" type="text" name="subscription_name_fa" formControlName="subscription_name_fa" maxlength="60" placeholder>
            <div class="feedback" *ngIf="form.controls['subscription_name_fa'].hasError('required') && formSubmited">{{ 'feedback.required' | translate }}</div>
          </div>
        </div>
      </div>

      <!-- Price -->
      <div class="col-lg-6">
        <div class="row form-group" [ngClass]="{'has-error':form.controls['subscription_price'].invalid && formSubmited}">
          <label class="col-lg-4 form-label-inline" for="subscription_price">{{ 'subscription.price' | translate }}:</label>
          <div class="col-lg-8">
            <div class="input-group">
              <input id="subscription_price" class="form-control" type="number" name="subscription_price" formControlName="subscription_price" required placeholder>
              <div class="input-group-addon" title="{{'tax' | translate }}">
                <div>{{ 'rial' | translate }}</div>
              </div>
            </div>
            <div class="feedback" *ngIf="form.controls['subscription_price'].hasError('required') && formSubmited">{{ 'feedback.required' | translate }}</div>
          </div>
        </div>
      </div>

      <!-- Discount -->
      <div class="col-lg-6">
        <div class="row form-group" [ngClass]="{'has-error':form.controls['discount'].invalid && formSubmited}">
          <label class="col-lg-4 form-label-inline" for="discount">{{ 'subscription.discount' | translate }}:</label>
          <div class="col-lg-8">
            <div class="input-group">
              <input id="discount" class="form-control" type="number" name="discount" formControlName="discount" placeholder>
              <div class="input-group-addon">
                <div>{{ 'percent' | translate }}</div>
              </div>
            </div>
            <div class="feedback" *ngIf="form.controls['discount'].hasError('required') && formSubmited">{{ 'feedback.required' | translate }}</div>
          </div>
        </div>
      </div>

      <!-- Duration -->
      <div class="col-lg-6">
        <div class="row form-group" >
          <label class="col-lg-4 form-label-inline" for="duration">{{ 'subscription.duration' | translate }}:</label>
          <div class="col-lg-8">
            <div class="input-group">
              <input id="duration" type="number" class="form-control" formControlName="subscription_duration" required placeholder="{{ 'subscription.duration' | translate }}">
              <select id="duration_type" class="form-control col-4" name="duration_type" >
                <option [ngValue]="3">{{ 'subscription.hours' | translate }}</option>
              </select>
              <!-- <select id="duration_type" [(ngModel)]="duration_type" [ngModelOptions]="{standalone: true}" class="form-control col-4" name="duration_type" >
                <option [ngValue]="1" selected>{{ 'subscription.year' | translate }}</option>
                <option [ngValue]="2">{{ 'subscription.month' | translate }}</option>
                <option [ngValue]="3">{{ 'subscription.day' | translate }}</option>
              </select> -->
            </div>
          </div>
        </div>
      </div>

      <div class="w-100"></div>

    </div>

    <div class="row wall mb">
      <div class="col">
        <button class="btn-primary mx-2" type="submit" [disabled]="form.invalid && formSubmited">{{ 'upload.create.publish' | translate }}</button>
        <button class="btn-outline" type="button" routerLink="/panel//plans" [queryParams]="query.params()">{{ 'operation.back' | translate }}</button>
      </div>
    </div>

  </form>
</section>
